val kotlinVersion: String by project
val keycloakAdminClientVersion: String by project
val keycloakTestContainersVersion: String by project
val dotenvVersion: String by project
val testContainersVersion: String by project
val junitJupiterVersion: String by project
val mockkVersion: String by project

plugins {
    kotlin("jvm") version "1.9.10"
    application
}

group = "org.example"
version = "1.0-SNAPSHOT"

repositories {
    mavenCentral()
}

dependencies {
    implementation("org.jetbrains.kotlin:kotlin-stdlib")
    implementation("org.keycloak:keycloak-admin-client:$keycloakAdminClientVersion")
    implementation("io.github.cdimascio:dotenv-kotlin:$dotenvVersion")

    testImplementation("io.mockk:mockk:$mockkVersion")
    testImplementation("org.jetbrains.kotlin:kotlin-test-junit:$kotlinVersion")
    testImplementation("org.junit.jupiter:junit-jupiter:$junitJupiterVersion")
    testImplementation("org.testcontainers:testcontainers:$testContainersVersion")
    testImplementation("org.testcontainers:junit-jupiter:$testContainersVersion")
    testImplementation("com.github.dasniko:testcontainers-keycloak:$keycloakTestContainersVersion")
}

tasks.test {
    useJUnitPlatform()
}

kotlin {
    jvmToolchain(17)
}

application {
    mainClass.set("MainKt")
}