import org.keycloak.representations.idm.UserRepresentation
import org.keycloak.OAuth2Constants
import org.keycloak.admin.client.KeycloakBuilder
import org.keycloak.admin.client.resource.RealmResource

fun main() {
    // Create a new user
    val user = UserRepresentation()
    user.username = "newUser"
    user.email = "newUser@example.com"

    val realm: RealmResource by lazy {
        KeycloakBuilder
            .builder()
            .serverUrl(Settings.KEYCLOAK_PRIVATE_BASE_URL)
            .realm(Settings.KEYCLOAK_REALM_NAME)
            .grantType(OAuth2Constants.CLIENT_CREDENTIALS)
            .clientId(Settings.KEYCLOAK_CLIENT_ID)
            .clientSecret(Settings.KEYCLOAK_CLIENT_SECRET)
            .build().realm(Settings.KEYCLOAK_REALM_NAME)
    }

    val createResponse = realm.users().create(user)
    val userId = createResponse.getHeaderString("Location").split('/').last()
    println("created userId: $userId")
}
